#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		perl_vendorarch	 %{_libdir}/perl5/%{perlvers}/core_perl
#-----------------------------------------------------------------------------
Name		:	perl-GD
Version		:	2.69
Release		:	16.2.0.rel%{?dist}
Summary		:	Perl extension for portable daemons
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/GD

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libgd-devel
BuildRequires	:	perl-ExtUtils-PkgConfig
#-----------------------------------------------------------------------------
%description
This is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files. 


%prep
%setup -q -n %{sname}-%{version}
#---------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	--lib_gd_path=%{_libdir}				\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'
# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find								\
	%{buildroot}%{_libdir}/perl5/%{perlvers}/core_perl/auto	\
	-type f -perm 0555 -exec chmod u+w {} \;



%files			
%defattr(-, root,root, -)
%doc ChangeLog README
%{_bindir}/bdf2gdfont.pl
%{perl_vendorarch}/%{sname}.pm
%{perl_vendorarch}/%{sname}/*.pm
%{perl_vendorarch}/auto/%{sname}/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
